<div
  ...attributes
  class="dragSortList
    {{if this.draggingEnabled '-draggingEnabled'}}
    {{if @isHorizontal '-horizontal' '-vertical'}}
    {{if this.isDragging '-isDragging'}}
    {{if this.isDraggingOver '-isDraggingOver'}}
    {{if this.isExpanded2 '-isExpanded'}}
    {{if this.isEmpty '-isEmpty'}}"
  data-list-id={{this.listId}}
>
  {{#each @items as |item index|}}
    <DragSortItem
      @additionalArgs={{@additionalArgs}}
      @item={{item}}
      @index={{index}}
      @items={{@items}}
      @group={{@group}}
      @handle={{@handle}}
      @isHorizontal={{@isHorizontal}}
      @draggingEnabled={{this.draggingEnabled}}
      @sourceOnly={{this.sourceOnly}}
      @dragEndAction={{@dragEndAction}}
      @dragStartAction={{@dragStartAction}}
      @determineForeignPositionAction={{this.determineForeignPositionAction}}
      @listId={{this.listId}}
      class={{this.childClass}}
    >
      {{yield item index}}
    </DragSortItem>
  {{/each}}
</div>